
QGIS Application - Bug report #3916
Status: Closed

Priority: Low

Assignee: Gary Sherman

Category: Vectors

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 13940

Description

Assignment operator must return a value.

Trying to compile this code using VC++ or Comeau C/C++:

struct A

{

   A& operator=(A const& rhs)

   {

   }

};

I get this error:

MODE:strict errors C++

"ComeauTest.c", line 5: warning: missing return statement

at end of non-void function

"A::operator=" 

}

^

This is ISO C++ conformant behaviour.

There are many assignment operators defined as not

returning any value. This is a bug!

History

#1 - 2006-03-25 04:47 PM - Gary Sherman

- Status changed from Open to In Progress

As far as I can tell, it does return a value.

#2 - 2006-03-25 04:59 PM - Mateusz Loskot -

Yes, as I see in the logs, timlinux applied those changes:

2024-04-29 1/2



https://svn.qgis.org/trac/changeset/5060

#3 - 2006-04-07 08:32 PM - Gavin Macaulay -

- Resolution set to fixed

- Status changed from In Progress to Closed

Resolved in commit:d2b74ca7 (SVN r5061)

#4 - 2009-08-22 12:46 AM - Anonymous

Milestone Version 0.8 deleted
